#!/usr/local/bin/wish

set TkGnats(lib) /usr/lib/tkgnats; ##TKGNATSLIB##

foreach f { tkgnats.cf.t } {
    source $TkGnats(lib)/$f
}

proc SetType {a b c} {
    global Type TypeSave PreviewSave EntryValue File_EntryValue Printer_EntryValue
    if {"$Type" == "$TypeSave"} {
        return
    }
    set TypeSave $Type
    if {"$Type" == "Printer"} {
        set File_EntryValue $EntryValue
        set EntryValue $Printer_EntryValue
    } {
        set Printer_EntryValue $EntryValue
        set EntryValue $File_EntryValue
    }
    .t.n configure -text $Type
}

proc Execute {} {
    global Type Format Preview EntryValue
    puts "Type=$Type"
    puts "Entry=$EntryValue"
    puts "Format=[string trim $Format]"
    puts "Preview=$Preview"
    destroy .
}

proc Cancel {} {
    destroy .
}

####

frame .m -borderwidth 5
pack  .m

tk_optionMenu .m.t Type "Printer" "File   "
pack          .m.t -side left

tk_optionMenu .m.f Format "ascii " "dvi   " "latin1" "ps    "
pack          .m.f -side left

##checkbutton .m.v -variable Preview -text Preview
##pack        .m.v -side left

####

frame  .t -borderwidth 5
pack   .t

label  .t.n -width 10
pack   .t.n -side left

entry  .t.t -width 32 -borderwidth 2 -textvariable EntryValue -relief sunken
pack   .t.t -side right

####

frame  .a -borderwidth 5
pack   .a

button .a.ok -text Execute -command Execute
pack   .a.ok -side left

button .a.no -text Cancel -command Cancel
pack   .a.no -side right

####

set TypeSave ""
set Type ""
set Printer_EntryValue $TkGnats(FilterPrinter)
set EntryValue ""
set PreviewSave 0
set Preview 0
set Format "ps    "

trace variable Type w SetType

set Type "Printer"

wm title    . {TkGnats Filter Configuration}
wm iconname . TkFilter
